<?php

//mail para IV
    include '../rdb/conn.php';
    $id = isset($_GET['id']) ? intval($_GET['id']) : -1;

	$sql= "SELECT  distinct
				r.id,
				daad_acta, 
				dil_ninterno, 
				daab_ltoma_snof, 
				daad_ftoma,
				mail_siv, 
				mail_siv_cc, 
				mail_creha_cc,
				ifnull((select evento_id from eventos_programados_rojo where resultado_id=r.id and tipo_evento_id=1 and tipo_tramite_id=2 and fcumplimiento='0000-00-00' and fevento<=sysdate() ),0) dte,
				ifnull((select evento_id from eventos_programados_rojo where resultado_id=r.id and tipo_evento_id=1 and tipo_tramite_id=11 and fcumplimiento='0000-00-00' and fevento<=sysdate() ),0) caratula,
				ifnull((select evento_id from eventos_programados_rojo where resultado_id=r.id and tipo_evento_id=1 and tipo_tramite_id=12 and fcumplimiento='0000-00-00' and fevento<=sysdate() ),0) acta,
				ifnull((select evento_id from eventos_programados_rojo where resultado_id=r.id and tipo_evento_id=1 and tipo_tramite_id=13 and fcumplimiento='0000-00-00' and fevento<=sysdate() ),0) protocolo
		FROM 		
				eventos_programados_rojo e,
				resultados_rojo r 
		WHERE 
				fcumplimiento='0000-00-00' and  
				e.resultado_id=r.id and 
				e.tipo_evento_id=1 and
				tipo_tramite_id in (2,11,12,13) and
				fevento<=sysdate() and ";
				
	if ($id==-1) {			
		$sql.= "	e.resultado_id not in 
				(select resultado_id
					from 
						eventos_programados_rojo er 
					where tipo_evento_id=2 and tipo_tramite_id in (2 ,11,12,13) and
						TIMESTAMPDIFF(	DAY,fevento,
										DATE(DATE_SUB(NOW(), INTERVAL 7 DAY))
									 ) < 0
				)";
	} else {
		$sql.= "	e.resultado_id = ".$id ; 
	}
     $resultado = mysqli_query( $conn,$sql);

     while ($row= mysqli_fetch_array($resultado, MYSQL_ASSOC)) {
    	
    	    $acta = $row["daad_acta"];
	    $fecha_toma = date("d-m-Y", strtotime($row["daad_ftoma"]));   
	    $nromuestra = $row["dil_ninterno"];
	    $snof = $row["daab_ltoma_snof"];
	    $mail_to= $row["mail_siv"];
	    $mail_cc= $row["mail_siv_cc"];
	    $mail_creha_cc= $row["mail_creha_cc"];
	    $mail_creha= "creha@senasa.gob.ar";

	    $reclamo="";
	    
 if ($row["dte"]<>"0") {$reclamo .= "DTe"; }
 if ($row["caratula"]<>"0") {
 			if ($reclamo!="") {
				
				$reclamo .= ", Comunicaci&oacute;n de Exceso";
			} else 
			{
				$reclamo .= " Comunicaci&oacute;n de Exceso";
			}
 }
 
 if ($row["acta"]<>"0") {
                       if ($reclamo!="") {
				$reclamo .= ", Acta";
			} else 
			{
				$reclamo .= " Acta";
			}
 }
 
if ($row["protocolo"]<>"0") {
			if ($reclamo!="") {
				$reclamo .= ", Protocolo Anal&iacute;tico";
			} else 
			{
				$reclamo .= "Protocolo Anal&iacute;tico";
			}
 }
 
 // título
		$titulo = 'Solicitud de documentacion de un exceso';

		// mensaje
		$mensaje = '<html>
		<head>
			<title></title>
		</head>
		<body>
		<p>SOLICITUD DE ENVIO DE DOCUMENTACION&nbsp;DE EXCESO AL SIV</p>
		<p>Sr. Coord. Tem. Inocuidad Agroalimentaria</p>
		<p>Sr. Jefe de Servicio - &nbsp;</p>
		<p>Est. oficial n&ordm; '.$snof.'</p>
		<p>Habiendo recibido la comunicaci&oacute;n de exceso del laboratorio,&nbsp;s&iacute;rvase&nbsp;remitir&nbsp;en un plazo &nbsp;no mayor a las 48hs la siguente documentaci&oacute;n  autenticada (firmada y sellada): &nbsp; </p><p>'.$reclamo.'</p><p>correspondiente al siguiente Exceso:</p>
		<ul>
			<li>Datos del exceso:</li>
			<li>Acta de toma de muestra: '.$acta.'</li>
			<li>Fecha de toma de muestra: '.$fecha_toma.'</li>
			<li>Numero de muestra: '.$nromuestra.'</li>
		</ul>
		<p></p>
		<p>Atentamente.</p>
		
		<img src="http://www.vetcomunicaciones.com.ar/uploadsfotos/bannersenasa.png" />




		</body>
		</html>
		';
//echo $mensaje ;

//	ob_start();
	
//        $mensaje = ob_get_clean();
    //echo $mensaje;
    //Se obtiene la librería
    require_once(dirname(__FILE__).'/../comunes_php/html2pdf.class.php');
    /* Las lineas siguientes siempre serán las mismas
     * A mi parecer no hay mucho que explicar. Se explican
     * por sí solas :D
     * */
    try
    {
        $html2pdf = new HTML2PDF('P', 'A4', 'es', true, 'UTF-8', 3); //Configura la hoja
        $html2pdf->pdf->SetDisplayMode('fullpage'); //Ver otros parámetros para SetDisplaMode
        $html2pdf->writeHTML($mensaje); //Se escribe el contenido 
        $html2pdf->Output('mipdf.pdf'); //Nombre default del PDF
    }
    catch(HTML2PDF_exception $e) {
        echo $e;
        exit;
    }


	}
    
    
  




?>